# NoSuchMethodError class

Error thrown by the default implementation of `noSuchMethod` on Object.

Inheritance
  - Object
  - Error
  - NoSuchMethodError

## Constructors

NoSuchMethodError(Object receiver, Symbol memberName, List positionalArguments, Map<Symbol, dynamic> namedArguments, [ @deprecated List existingArgumentNames ])
  Create a NoSuchMethodError corresponding to a failed method call. [...]
NoSuchMethodError.withInvocation(Object receiver, Invocation invocation)
  Create a NoSuchMethodError corresponding to a failed method call. [...]

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
stackTrace → StackTrace
  read-only, inherited

## Methods

toString() → String
  Returns a string representation of this object.
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited